> ## Documentation Index
> Fetch the complete documentation index at: https://talvinai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Interview by ID

> Returns a specific interview by ID



## OpenAPI

````yaml GET /interviews/{interview_id}
openapi: 3.1.0
info:
  title: Talvin API
  description: >-
    Talvin API provides endpoints for managing interviews, responses, and
    subscriptions to events.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.talvin.ai/api/v1
security:
  - talvinApiKey: []
    talvinOrgId: []
paths:
  /interviews/{interview_id}:
    get:
      description: Returns a specific interview by ID
      parameters:
        - name: interview_id
          in: path
          required: true
          schema:
            type: string
            description: Unique identifier of the interview to retrieve
      responses:
        '200':
          description: Interview details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Interview'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Interview not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Interview:
      required:
        - id
        - name
        - question_count
        - time_duration
        - questions
        - description
      type: object
      properties:
        id:
          description: Unique identifier for the interview
          type: string
        name:
          description: Name of the interview
          type: string
        question_count:
          description: Number of questions in the interview
          type: integer
        time_duration:
          description: Time duration for the interview in minutes
          type: string
        questions:
          description: List of questions in the interview
          type: array
          items:
            $ref: '#/components/schemas/Question'
        description:
          description: Description of the interview
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Question:
      required:
        - id
        - question
        - follow_up_count
      type: object
      properties:
        id:
          description: Unique identifier for the question
          type: string
        question:
          description: The question text
          type: string
        follow_up_count:
          description: Number of follow-up questions
          type: integer
  securitySchemes:
    talvinApiKey:
      type: apiKey
      in: header
      name: X-TALVIN-API-KEY
    talvinOrgId:
      type: apiKey
      in: header
      name: X-TALVIN-ORGANIZATION-ID

````